bitel.billing.server.cerbercrypt.bean

## Class CardPacketManager

- java.lang.Object
- - bitel.billing.server.cerbercrypt.bean.CardPacketManager

- Deprecated.
  use ru.bitel.bgbilling.modules.cerbercrypt.server.bean.CardPacketManager

      @Deprecated
      public class CardPacketManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CardPacketManager(java.sql.Connection con, int moduleId)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkCardPackets(UserCard card)` Deprecated. Проверка выпадения картапакетов из интервала активности карты
    `void` | `closeCardPackets(ParameterMap moduleSetup, CardPacketManager cpm, java.util.Map<java.lang.Integer,Packet> packetMap, int cid, int cardId, java.util.List<CardPacket> close, java.util.Calendar closeDate, java.util.Calendar now, boolean check)` Deprecated.
    `void` | `copyCardPacketFromTo(int uidSrc, int uidDest)` Deprecated. Копирование всей подписки с одной карты на другую.
    `void` | `deleteCardPacket(int id)` Deprecated.
    `void` | `deleteCardPackets(int card)` Deprecated.
    `java.util.List<CardPacket>` | `getActiveCardPacketList(java.util.Calendar date, java.util.Collection<java.lang.Integer> userCardIds)` Deprecated.
    `java.util.List<CardPacket>` | `getActiveCardPacketList(java.util.Calendar date, java.lang.Integer userCardId)` Deprecated. Список активных картапакетов
    `java.util.List<CardPacket>` | `getCalculateCardPacketList(java.util.Calendar fromDate, java.util.Calendar toDate)` Deprecated. использовать аналог с датами
    `java.util.List<CardPacket>` | `getCalculateCardPacketList(java.util.Calendar fromDate, java.util.Calendar toDate, java.lang.String cids)` Deprecated. использовать аналог с датами
    `java.util.List<CardPacket>` | `getCalculateCardPacketList(java.util.Date fromDate, java.util.Date toDate)` Deprecated. Получение картапакетов, существующих в определенный период времени по всем договорам, сортировка по коду карты.
    `java.util.List<CardPacket>` | `getCalculateCardPacketList(java.util.Date fromDate, java.util.Date toDate, java.lang.String cids)` Deprecated. Получение картапакетов, существующих в определенный период времени для определенных договоров, сортировка по коду карты.
    `CardPacket` | `getCardPacket(int usercardId, int packetId, java.util.Calendar date)` Deprecated.
    `CardPacket` | `getCardPacketById(int id)` Deprecated.
    `CardPacket` | `getCardPacketByID(int id)` Deprecated.
    `java.util.List<CardPacket>` | `getCardPacketList(java.util.Calendar date)` Deprecated. Получение картапакетов существующих в определенную дату
    `java.util.List<CardPacket>` | `getCardPacketList(int userCard)` Deprecated.
    `java.util.List<CardPacket>` | `getCardPacketList(int cid, java.util.Calendar date)` Deprecated.
    `java.util.List<CardPacket>` | `getCardPacketList(int cid, int usercardId, java.util.Date date, boolean virtualCinema)` Deprecated.
    `java.util.List<CardPacket>` | `getCardPacketList(int cid, int usercardId, int objectId, java.util.Date date, boolean virtualCinema)` Deprecated.
    `java.util.List<CardPacket>` | `getCardPacketListByPacketId(int packetId)` Deprecated. Возвращает все картпакеты, использующие указанный пакет.
    `java.util.List<CardPacket>` | `getContractActiveCardPacketList(java.util.Calendar date, int cid)` Deprecated. Список активных картпакетов договора на конкретную дату
    `java.util.List<CardPacket>` | `getFutureCardPacketList(int cid, int usercardId, java.util.Calendar date)` Deprecated.
    `java.util.List<CardPacket>` | `getLockedCardPacketList(java.util.Calendar date, int cid)` Deprecated. Получение списка блокированных картапакетов
    `boolean` | `haveCardPackets(int userCardID)` Deprecated. Возвращает привязаны ли к карте пакеты
    `void` | `openCardPackets(ParameterMap moduleSetup, CardPacketManager cpm, java.util.Map<java.lang.Integer,Packet> packetMap, int cid, int usercardId, java.util.List<CardPacket> add, java.util.Calendar now, boolean check)` Deprecated.
    `void` | `removeCardPackets(ParameterMap moduleSetup, CardPacketManager cpm, java.util.Map<java.lang.Integer,Packet> packetMap, int cid, int cardId, java.util.List<CardPacket> remove, java.util.Calendar now, boolean check)` Deprecated.
    `void` | `updateCardPacket(CardPacket cardPacket)` Deprecated.
    `void` | `updateCardPackets(ParameterMap moduleSetup, CardPacketManager cpm, java.util.Map<java.lang.Integer,Packet> packetMap, int cid, int cardId, java.util.List<CardPacket> update, java.util.Calendar now, boolean check)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CardPacketManager

          public CardPacketManager(java.sql.Connection con,
                                   int moduleId)

      Deprecated.

  - ### Method Detail

    - #### updateCardPacket

          public void updateCardPacket(CardPacket cardPacket)

      Deprecated.

    - #### getCardPacketById

          public CardPacket getCardPacketById(int id)

      Deprecated.

    - #### getCardPacketByID

          @Deprecated
          public CardPacket getCardPacketByID(int id)

      Deprecated.
      Использовать `getCardPacketById(int)`.
      Parameters:
        `id` -
      Returns:

    - #### deleteCardPacket

          public void deleteCardPacket(int id)

      Deprecated.

    - #### deleteCardPackets

          public void deleteCardPackets(int card)

      Deprecated.

    - #### getCardPacketList

          public java.util.List<CardPacket> getCardPacketList(int cid,
                                                              int usercardId,
                                                              java.util.Date date,
                                                              boolean virtualCinema)

      Deprecated.

    - #### getCardPacketList

          public java.util.List<CardPacket> getCardPacketList(int cid,
                                                              int usercardId,
                                                              int objectId,
                                                              java.util.Date date,
                                                              boolean virtualCinema)

      Deprecated.

    - #### getFutureCardPacketList

          public java.util.List<CardPacket> getFutureCardPacketList(int cid,
                                                                    int usercardId,
                                                                    java.util.Calendar date)

      Deprecated.

    - #### haveCardPackets

          public boolean haveCardPackets(int userCardID)

      Deprecated.
      Возвращает привязаны ли к карте пакеты
      Parameters:
        `userCardID` -
      Returns:

    - #### checkCardPackets

          public boolean checkCardPackets(UserCard card)

      Deprecated.
      Проверка выпадения картапакетов из интервала активности карты
      Parameters:
        `card` -
      Returns:
        - true если все выпадает хоть один

    - #### getCalculateCardPacketList

          @Deprecated
          public java.util.List<CardPacket> getCalculateCardPacketList(java.util.Calendar fromDate,
                                                                                   java.util.Calendar toDate)
                                                                            throws java.sql.SQLException

      Deprecated. использовать аналог с датами
      Throws:
        `java.sql.SQLException`

    - #### getCalculateCardPacketList

          public java.util.List<CardPacket> getCalculateCardPacketList(java.util.Date fromDate,
                                                                       java.util.Date toDate)
                                                                throws java.sql.SQLException

      Deprecated.
      Получение картапакетов, существующих в определенный период времени по всем договорам, сортировка по коду карты. Внимание: не учитываются статусы, зависимости, привязки подчинённых к "основным" итд, только период действия учитываются.
      Parameters:
        `fromDate` - начало периода.
        `toDate` - окончание периода.
      Returns:
        Лист картапакетов.
      Throws:
        `java.sql.SQLException`

    - #### getCalculateCardPacketList

          @Deprecated
          public java.util.List<CardPacket> getCalculateCardPacketList(java.util.Calendar fromDate,
                                                                                   java.util.Calendar toDate,
                                                                                   java.lang.String cids)
                                                                            throws java.sql.SQLException

      Deprecated. использовать аналог с датами
      Throws:
        `java.sql.SQLException`

    - #### getCalculateCardPacketList

          public java.util.List<CardPacket> getCalculateCardPacketList(java.util.Date fromDate,
                                                                       java.util.Date toDate,
                                                                       java.lang.String cids)
                                                                throws java.sql.SQLException

      Deprecated.
      Получение картапакетов, существующих в определенный период времени для определенных договоров, сортировка по коду карты. Внимание: не учитываются статусы, зависимости, привязки подчинённых к "основным" итд, только период действия учитываются и список договоров.
      Parameters:
        `fromDate` - начало периода.
        `toDate` - окончание периода.
        `cids` - список кодов договоров через запятую.
      Returns:
        Лист картапакетов.
      Throws:
        `java.sql.SQLException`

    - #### getCardPacketList

          public java.util.List<CardPacket> getCardPacketList(java.util.Calendar date)

      Deprecated.
      Получение картапакетов существующих в определенную дату
      Parameters:
        `date` -
      Returns:

    - #### getActiveCardPacketList

          public java.util.List<CardPacket> getActiveCardPacketList(java.util.Calendar date,
                                                                    java.lang.Integer userCardId)

      Deprecated.
      Список активных картапакетов
      Parameters:
        `userCardId` - идентификатор карты клиента в БД, если null - фильтр не используется
        `date` - дата
      Returns:

    - #### getActiveCardPacketList

          public java.util.List<CardPacket> getActiveCardPacketList(java.util.Calendar date,
                                                                    java.util.Collection<java.lang.Integer> userCardIds)

      Deprecated.

    - #### getContractActiveCardPacketList

          public java.util.List<CardPacket> getContractActiveCardPacketList(java.util.Calendar date,
                                                                            int cid)

      Deprecated.
      Список активных картпакетов договора на конкретную дату
      Parameters:
        `date` - дата
        `cid` - код договора
      Returns:

    - #### getLockedCardPacketList

          public java.util.List<CardPacket> getLockedCardPacketList(java.util.Calendar date,
                                                                    int cid)

      Deprecated.
      Получение списка блокированных картапакетов
      Parameters:
        `date` - дата
        `cid` - код договора
      Returns:

    - #### getCardPacket

          public CardPacket getCardPacket(int usercardId,
                                          int packetId,
                                          java.util.Calendar date)

      Deprecated.

    - #### getCardPacketList

          public java.util.List<CardPacket> getCardPacketList(int cid,
                                                              java.util.Calendar date)

      Deprecated.

    - #### getCardPacketList

          public java.util.List<CardPacket> getCardPacketList(int userCard)

      Deprecated.

    - #### getCardPacketListByPacketId

          public java.util.List<CardPacket> getCardPacketListByPacketId(int packetId)
                                                                 throws java.sql.SQLException

      Deprecated.
      Возвращает все картпакеты, использующие указанный пакет.
      Parameters:
        `packetId` - пакетИд
      Returns:
        список картпакетов
      Throws:
        `java.sql.SQLException`

    - #### openCardPackets

          public void openCardPackets(ParameterMap moduleSetup,
                                      CardPacketManager cpm,
                                      java.util.Map<java.lang.Integer,Packet> packetMap,
                                      int cid,
                                      int usercardId,
                                      java.util.List<CardPacket> add,
                                      java.util.Calendar now,
                                      boolean check)
                               throws ru.bitel.bgbilling.common.BGMessageException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### removeCardPackets

          public void removeCardPackets(ParameterMap moduleSetup,
                                        CardPacketManager cpm,
                                        java.util.Map<java.lang.Integer,Packet> packetMap,
                                        int cid,
                                        int cardId,
                                        java.util.List<CardPacket> remove,
                                        java.util.Calendar now,
                                        boolean check)
                                 throws ru.bitel.bgbilling.common.BGMessageException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### closeCardPackets

          public void closeCardPackets(ParameterMap moduleSetup,
                                       CardPacketManager cpm,
                                       java.util.Map<java.lang.Integer,Packet> packetMap,
                                       int cid,
                                       int cardId,
                                       java.util.List<CardPacket> close,
                                       java.util.Calendar closeDate,
                                       java.util.Calendar now,
                                       boolean check)
                                throws ru.bitel.bgbilling.common.BGMessageException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateCardPackets

          public void updateCardPackets(ParameterMap moduleSetup,
                                        CardPacketManager cpm,
                                        java.util.Map<java.lang.Integer,Packet> packetMap,
                                        int cid,
                                        int cardId,
                                        java.util.List<CardPacket> update,
                                        java.util.Calendar now,
                                        boolean check)
                                 throws ru.bitel.bgbilling.common.BGMessageException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### copyCardPacketFromTo

          public void copyCardPacketFromTo(int uidSrc,
                                           int uidDest)

      Deprecated.
      Копирование всей подписки с одной карты на другую. Используется в мультируме, например.
      Parameters:
        `uidSrc` - ид юзер_карты откуда копировать
        `uidDest` - ид юзер_карты куда копировать